Ftdi::Eeprom Class Reference

Device EEPROM. More...

`#include <ftdi.hpp>`

## Classes

class | Private

## Public Member Functions

| Eeprom (Context *parent)
| ~Eeprom ()
void | init_defaults ()
void | set_size (int size)
int | size (unsigned char *eeprom, int maxsize)
int | chip_id (unsigned int *chipid)
int | build (unsigned char *output)
int | read (unsigned char *eeprom)
int | write (unsigned char *eeprom)
int | read_location (int eeprom_addr, unsigned short *eeprom_val)
int | write_location (int eeprom_addr, unsigned short eeprom_val)
int | erase ()

## Detailed Description

Device EEPROM.

Definition at line 153 of file ftdi.hpp.

## Constructor & Destructor Documentation

## Eeprom()

Ftdi::Eeprom::Eeprom | ( | Context * | parent | ) |

Definition at line 391 of file ftdi.cpp.

## ~Eeprom()

Ftdi::Eeprom::~Eeprom | ( |  | ) |

Definition at line 397 of file ftdi.cpp.

References ftdi_eeprom_initdefaults().

## Member Function Documentation

## init_defaults()

void Ftdi::Eeprom::init_defaults | ( |  | ) |

Definition at line 401 of file ftdi.cpp.

References ftdi_eeprom_setsize(), and size().

## set_size()

void Ftdi::Eeprom::set_size | ( | int | size | ) |

Definition at line 406 of file ftdi.cpp.

References ftdi_read_eeprom_getsize().

## size()

int Ftdi::Eeprom::size | ( | unsigned char * | eeprom,
|  | int | maxsize
| ) |  |

Definition at line 411 of file ftdi.cpp.

References ftdi_read_chipid().

Referenced by init_defaults().

## chip_id()

int Ftdi::Eeprom::chip_id | ( | unsigned int * | chipid | ) |

Definition at line 416 of file ftdi.cpp.

References ftdi_eeprom_build().

## build()

int Ftdi::Eeprom::build | ( | unsigned char * | output | ) |

Definition at line 421 of file ftdi.cpp.

References ftdi_read_eeprom().

## read()

int Ftdi::Eeprom::read | ( | unsigned char * | eeprom | ) |

Definition at line 426 of file ftdi.cpp.

References ftdi_write_eeprom().

## write()

int Ftdi::Eeprom::write | ( | unsigned char * | eeprom | ) |

Definition at line 431 of file ftdi.cpp.

References ftdi_read_eeprom_location().

## read_location()

int Ftdi::Eeprom::read_location | ( | int | eeprom_addr,
|  | unsigned short * | eeprom_val
| ) |  |

Definition at line 436 of file ftdi.cpp.

References ftdi_write_eeprom_location().

## write_location()

int Ftdi::Eeprom::write_location | ( | int | eeprom_addr,
|  | unsigned short | eeprom_val
| ) |  |

Definition at line 441 of file ftdi.cpp.

References ftdi_erase_eeprom().

## erase()

int Ftdi::Eeprom::erase | ( |  | ) |

Definition at line 446 of file ftdi.cpp.

References Ftdi::List::Private::devlist, and Ftdi::List::Private::Private().

The documentation for this class was generated from the following files:

- ftdi.hpp
- ftdi.cpp